PGAGetEvaluationUpToDateFlag(1)

NAME
PGAGetEvaluationUpToDateFlag - returns true/false to indicate whether the evaluate function value is up to date

INPUT PARAMETERS
ctx - context variable
p   - string index
pop - symbolic constant of the population the string is in

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
int  PGAGetEvaluationUpToDateFlag(ctx, p, pop)
PGAContext *ctx
int p
int pop

LOCATION
evaluate.c

EXAMPLE
Example:
PGAContext *ctx;
int uptodate;
:
uptodate = PGAGetEvaluationUpToDateFlag(ctx);
switch (uptodate) {
case PGA_TRUE:
printf("Evaluation function value current);
break;
case PGA_FALSE:
printf("Evaluation function value out-of-date);
break;
}